%{?nodejs_find_provides_and_requires}

%global packagename object-keys
%global enable_tests 0

Name:		nodejs-object-keys
Version:	1.0.9
Release:	3%{?dist}
Summary:	An Object.keys replacement, in case Object.keys is not available

License:	MIT
URL:		https://github.com/ljharb/object-keys.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

# Patch out 'indexof' as node doesn't need it and it is missing
# license text and has no clear upstream
Patch0:         nodejs-object-keys-indexof.patch


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(is)
BuildRequires:	npm(tape)
%endif

Requires:	nodejs

%description
An Object.keys replacement, in case Object.keys is not available. From
https://github.com/es-shims/es5-shim


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
%patch0 -p1



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test/index.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon Oct 26 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.9-3
- Temporarily disable tests to bootstrap npm(tape)

* Mon Oct 26 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.9-1
- Initial packaging
